#include<iostream>

using namespace std;

int main()
{
    long n,k,o;
    long niz[2000000];
       for(long u=-n;u<=n;u++)
    {
    niz[u]=0;
    }
    for(long i=0;i<n;i++)
    {
        cin>>o;
        niz[o]++;
    }
       for(long j=-n;j<=n;j++)
    {
     if(niz[j]>=k)
     {
         cout<<j;
     }
    }
}